package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.File;
import com.sa.ibiz.demo.demo.service.dto.FileSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[File] 服务对象接口
 */
public interface FileService extends IService<File>{

	boolean create(File et);
	boolean remove(File et);
	boolean getDraft(File et);
	boolean update(File et);
		File get(File et);
	boolean checkKey(File et);
    List<File> listDefault(FileSearchFilter filter) ;
	Page<File> searchDefault(FileSearchFilter filter);
	/**	 实体[File] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }